Bug 335171 - gnome-settings-daemon grows without bound
gnome-settings-daemon grows without bound
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 15:36 EDT by Sjoerd Mullender
Modified: 2014-06-18 05:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of pmap before and after changing the background (concatenated) (21.76 KB, text/plain)
2007-10-16 15:36 EDT, Sjoerd Mullender
no flags Details

  None (edit)
Description Sjoerd Mullender 2007-10-16 15:36:13 EDT
Description of problem:
I use wp_tray (wp_tray-0.5.3-4.fc7) to change my desktop background on a regular
basis.  Each time the background is changed, gnome-settings-daemon grows.  If I
let this go on for any length of time, it renders the system unusable since it
runs out of virtual memory.

Version-Release number of selected component (if applicable):
control-center-2.18.0-20.fc7
wp_tray-0.5.3-4.fc7

How reproducible:
100%

Steps to Reproduce:
1. in a Gnome session, have wp_tray change the background
2.
3.
  
Actual results:
gnome-session-daemon claims yet more memory.


Expected results:
Steady state with respect to memory consumption.


Additional info:
I'll attach output of pmap before and after changing the background.  There are
two lines different between the two versions: an [ anon ] mapping grew from
a4917000 281708K rw---    [ anon ]
to
a37e0000 299336K rw---    [ anon ]
and the total grew from 338720K to 356348K.
Comment 1 Sjoerd Mullender 2007-10-16 15:36:13 EDT
Created attachment 229181 [details]
output of pmap before and after changing the background (concatenated)
Comment 2 Bug Zapper 2008-05-14 10:46:08 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:40:51 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.